## jinjax 0.47+dfsg

=== debian/changelog ===
jinjax (0.47+dfsg-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 0.47+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Oct 2024 18:34:58 +0200

jinjax (0.46-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 0.46.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Sep 2024 09:47:41 +0200

jinjax (0.45+dfsg-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #1074006).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 21 Aug 2024 09:51:50 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jinjax-$1\.tar\.gz/ \
https://github.com/jpsca/jinjax/tags .*/v?(\d\S+)\.tar\.gz

## jinjax 0.48+dfsg

=== Makefile ===
.PHONY: test
test:
	poetry run pytest -x src/jinjax tests

.PHONY: lint
lint:
	poetry run ruff check src/jinjax tests

.PHONY: coverage
coverage:
	poetry run pytest --cov-config=pyproject.toml --cov-report html --cov jinjax src/jinjax tests

.PHONY: types
types:
	poetry run pyright src/jinjax

.PHONY: install
install:
	poetry install --with dev,test
	poetry run pre-commit install

.PHONY: install.docs
install.docs:
	pip install -e ../jinjax-ui/
	pip install -e ../claydocs/

.PHONY: docs
docs:
	cd docs && python docs.py

.PHONY: docs.build
docs.build:
	cd docs && python docs.py build

.PHONY: docs.deploy
docs.deploy:
	cd docs && ./deploy.sh

=== debian/changelog ===
jinjax (0.48+dfsg-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 18:48:57 +0100

jinjax (0.48+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.48+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Nov 2024 07:41:54 +0100

jinjax (0.47+dfsg-2) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Nov 2024 21:19:11 +0100

jinjax (0.47+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.47+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Oct 2024 18:34:58 +0200

jinjax (0.46-1) sid; urgency=medium

  * Merging upstream version 0.46.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Sep 2024 09:47:41 +0200

jinjax (0.45+dfsg-1) sid; urgency=medium

  * Initial upload to sid (Closes: #1074006).

 -- Daniel Baumann <daniel@debian.org>  Wed, 21 Aug 2024 09:51:50 +0200

=== debian/control ===
Source: jinjax
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-jinja2,
 python3-poetry-core,
 python3-pytest,
 python3-setuptools,
 python3-whitenoise,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jpsca/jinjax
Vcs-Browser: https://forgejo.debian.net/python/jinjax
Vcs-Git: https://forgejo.debian.net/python/jinjax

Package: python3-jinjax
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Server-side components for your Jinja templates
 JinjaX extends the traditional Jinja template functionality by allowing to
 encapsulate HTML, CSS, and JavaScript within individual components.
 .
 This modularity makes the templates much easier to maintain and update.
 The key innovation is that JinjaX components can contain all associated
 code, reducing the sprawl commonly seen in large template files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jinjax

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jinjax-$1\.tar\.gz/, \
 dversionmangle=s/\+dfsg//" \
https://github.com/jpsca/jinjax/tags .*/v?(\d\S+)\.tar\.gz

## jinjax 0.52+dfsg

=== debian/changelog ===
jinjax (0.52+dfsg-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 0.52+dfsg.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:25:17 +0100

## jinjax 0.53+dfsg

=== Makefile ===
.PHONY: install
install:
	uv sync --group dev --group test
	pip install -e .
	pre-commit install

.PHONY: test
test:
	uv run pytest -x src/jinjax tests

.PHONY: lint
lint:
	uv run ruff check src/jinjax tests

.PHONY: coverage
coverage:
	uv run pytest --cov-config=pyproject.toml --cov-report html --cov jinjax src/jinjax tests

.PHONY: types
types:
	uv run pyright src/jinjax

=== debian/changelog ===
jinjax (0.53+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.53+dfsg.
  * Updating file exclusions in copyright.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Mar 2025 04:37:10 +0100

## jinjax 0.55+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,3 +19,15 @@
 .PHONY: types
 types:
 	uv run pyright src/jinjax
+
+.PHONY: docs
+docs:
+	cd docs && uv run python docs.py
+
+.PHONY: docs-build
+docs-build:
+	cd docs && uv run python docs.py build
+
+.PHONY: docs-deploy
+docs-deploy:
+	cd docs && uv run sh deploy.sh

=== debian/changelog ===
jinjax (0.55+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.55+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 09:03:08 +0200

jinjax (0.54+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.54+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Apr 2025 13:41:06 +0200

## jinjax 0.56+dfsg

=== debian/changelog ===
jinjax (0.56+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.56+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 13:03:38 +0200

jinjax (0.55+dfsg-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:57:52 +0200

## jinjax 0.57%2Bdfsg

=== debian/changelog ===
jinjax (0.57+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.57+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 May 2025 08:11:06 +0200

## jinjax 0.57+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 .PHONY: install
 install:
 	uv sync --group dev --group test
-	pip install -e .
-	pre-commit install
+	uv pip install -e .
+	uv run pre-commit install
 
 .PHONY: test
 test:

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-whitenoise,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jpsca/jinjax
 Vcs-Browser: https://forgejo.debian.net/python/jinjax
 Vcs-Git: https://forgejo.debian.net/python/jinjax

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/jpsca/jinjax/tags .*/v?(\d.*)@ARCHIVE_EXT@

## jinjax 0.58+dfsg

=== debian/changelog ===
jinjax (0.58+dfsg-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 0.58+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jun 2025 10:38:23 +0200

## jinjax 0.60+dfsg

=== debian/changelog ===
jinjax (0.60+dfsg-3) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Cherry-picking patch from upstream to defer rendering collected
    classes.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Sep 2025 07:44:51 +0200

jinjax (0.60+dfsg-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:06:05 +0200

jinjax (0.60+dfsg-1) experimental; urgency=medium

  * Merging upstream version 0.60+dfsg.
  * Updating excluded files in copyright for 0.60+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Jul 2025 10:36:13 +0200

## jinjax 0.61+dfsg

=== debian/changelog ===
jinjax (0.61+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.61+dfsg.
  * Removing defer-rendering-collected-assets.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Oct 2025 18:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-pytest,
  python3-setuptools,
  python3-whitenoise,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/jpsca/jinjax
 Vcs-Browser: https://forgejo.debian.net/python/jinjax

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 execute_after_dh_auto_clean:
 	# help pybuild
 	rm -rf *.egg-info
+
+override_dh_auto_test:
+	# disabled (defer-rendering-collected-assets.patch)

=== debian/watch ===
Version: 5

Template: Github
Owner: jpsca
Project: @PACKAGE@
Dversion-Mangle: auto

## jinjax 0.62+dfsg

=== debian/changelog ===
jinjax (0.62+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.62+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Nov 2025 20:52:10 +0100

## jinjax 0.63+dfsg

=== debian/changelog ===
jinjax (0.63+dfsg-1) sid; urgency=medium

  * Merging upstream version 0.63+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 07:06:57 +0100
